Get weather forecast
GET https://api.cirrosense.com/forecast Returns daily and/or hourly weather forecast for a given location
Query Parameters
-
key
stringrequiredYour Cirrosense API key
-
lat
numberLatitude of the location. Required if
placeis not providedMin:
-90Max:90 -
lon
numberLongitude of the location. Required if
placeis not providedMin:
-180Max:180 -
place
stringPlace name to look up. Used as an alternative to
lat/lon -
units
stringUnit system for response values
Allowed values:metricimperial
Default:
metric -
days
integerNumber of daily forecast records to return
Min:
1Max:14Default:
3 -
hourly
integerNumber of hourly forecast hours to return. Defaults to the maximum allowed by your current subscription tier. Set to 0 to disable hourly records
Min:
0Max:168Default:
24
Response Codes
| Status | Description | Schema |
|---|---|---|
| 200 | Success | Forecast Response |
| 400 | Invalid Request | ErrorResponse |
| 429 | Rate Limit Exceeded | ErrorResponse |
Example Request
curl -G https://api.cirrosense.com/forecast \ -d "key=YOUR_CIRROSENSE_API_KEY" \ -d "lat=40.7128" \ -d "lon=-74.006" \ -d "place=New York, NY" \ -d "units=metric" \ -d "days=3" \ -d "hourly=24"
Response
{ "location": { "lat": 40.7128, "lon": -74.006, "name": "New York", "admin": "New York", "country": "United States", "iso2": "US", "timezone": "America/New_York" }, "daily": [ { "date": "2026-02-21", "temp_min": 18, "temp_max": 28.5, "temp_day": 25, "temp_night": 20, "feels_like_min": 15, "feels_like_max": 26, "feels_like_day": 23, "feels_like_night": 18, "precipitation": { "rain": 1.5, "snow": 1.5, "freezing_rain": 1.5, "sleet": 1.5, "ice_pellets": 1.5 }, "clouds_avg": 45, "pop": 60, "wind_speed_max": 15.3, "wind_gust_max": 22.1, "description": { "code": 520, "name": "Rain" } }, ... ], "hourly": [ { "time": "2026-02-20T12:00:00Z", "temp": 25.5, "feels_like": 22.3, "dew": 15.2, "humidity": 65, "wind_speed": 12.1, "wind_gust": 18.5, "wind_deg": 270, "wind_dir": "N", "pressure": 101.33, "vis": 24, "clouds": 35, "pop": 50, "precip_amount": 0, "precip_type": "rain", "description": { "code": 520, "name": "Rain" } }, ... ], "units": { "temp": "°C", "feels_like": "°C", "dew": "°C", "wind_speed": "km/h", "wind_gust": "km/h", "pressure": "kPa", "vis": "km", "rain": "mm", "snow": "cm" } }